## ev-annotation-window

ev-annotation-window

## Functions

GtkWidget * | ev_annotation_window_new ()
EvAnnotation * | ev_annotation_window_get_annotation ()
void | ev_annotation_window_set_annotation ()
gboolean | ev_annotation_window_is_open ()
void | ev_annotation_window_get_rectangle ()
void | ev_annotation_window_set_rectangle ()
void | ev_annotation_window_grab_focus ()
void | ev_annotation_window_ungrab_focus ()

## Properties

EvAnnotationMarkup * | annotation | Write / Construct Only
GtkWindow * | parent | Write / Construct Only

## Signals

void | closed | Action
void | moved | Action

## Types and Values

| EvAnnotationWindow
| EvAnnotationWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EvAnnotationWindow

## Implemented Interfaces

EvAnnotationWindow implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ev_annotation_window_new ()

    GtkWidget *
    ev_annotation_window_new (EvAnnotation *annot,
                              GtkWindow *parent);

### ev_annotation_window_get_annotation ()

    EvAnnotation *
    ev_annotation_window_get_annotation (EvAnnotationWindow *window);

### ev_annotation_window_set_annotation ()

    void
    ev_annotation_window_set_annotation (EvAnnotationWindow *window,
                                         EvAnnotation *annot);

### ev_annotation_window_is_open ()

    gboolean
    ev_annotation_window_is_open (EvAnnotationWindow *window);

### ev_annotation_window_get_rectangle ()

    void
    ev_annotation_window_get_rectangle (EvAnnotationWindow *window,
                                        EvRectangle *rect);

### ev_annotation_window_set_rectangle ()

    void
    ev_annotation_window_set_rectangle (EvAnnotationWindow *window,
                                        const EvRectangle *rect);

### ev_annotation_window_grab_focus ()

    void
    ev_annotation_window_grab_focus (EvAnnotationWindow *window);

### ev_annotation_window_ungrab_focus ()

    void
    ev_annotation_window_ungrab_focus (EvAnnotationWindow *window);

## Types and Values

### EvAnnotationWindow

    typedef struct _EvAnnotationWindow EvAnnotationWindow;

### EvAnnotationWindowClass

    typedef struct _EvAnnotationWindowClass EvAnnotationWindowClass;

## Property Details

### The `“annotation”` property

      “annotation”               EvAnnotationMarkup *

The annotation associated to the window.

Flags: Write / Construct Only

### The `“parent”` property

      “parent”                   GtkWindow *

The parent window.

Flags: Write / Construct Only

## Signal Details

### The `“closed”` signal

    void
    user_function (EvAnnotationWindow *evannotationwindow,
                   gpointer            user_data)

Flags: Action

### The `“moved”` signal

    void
    user_function (EvAnnotationWindow *evannotationwindow,
                   gint                arg1,
                   gint                arg2,
                   gpointer            user_data)

Flags: Action